/*Facebook messager*/
/*Facebook messager*/
ul.ChatLog{list-style:none;background:#fff;width:100%;z-index:1;}
#chat_text{position:absolute;}
#fb_page{margin-top:20px;display:none;}
.ChatLog{margin:-3px auto;}
.ChatLog .ChatLog__entry{margin:.5em;}
.ChatLog__entry{display:flex;flex-direction:row;align-items:flex-end;max-width:100%;}
.ChatLog__entry.ChatLog__entry_mine{flex-direction:row-reverse;}
.ChatLog__avatar{flex-shrink:0;flex-grow:0;z-index:1;height:28px;width:28px;border-radius:25px;}
.ChatLog__entry.ChatLog__entry_mine 
.ChatLog__avatar{display:none;}
.ChatLog__entry .ChatLog__message{position:relative;margin:0 12px;}
.ChatLog__entry .ChatLog__message::before{position:absolute;right:auto;bottom:.6em;left:-12px;height:0;content:'';border:6px solid transparent;border-right-color:#f1f0f0;z-index:2;}
.ChatLog__entry.ChatLog__entry_mine .ChatLog__message::before{right:-12px;bottom:.6em;left:auto;border:6px solid transparent;border-left-color:#08f;}
.ChatLog__message{background-color:#f1f0f0;padding:.5em;border-radius:4px;font-weight:lighter;max-width:100%;font-size:13px;color:rgba(0,0,0,1);}
.ChatLog__entry.ChatLog__entry_mine .ChatLog__message{border-top:1px solid #07f;border-bottom:1px solid #07f;background-color:#08f;color:#fff;}
.ChatLog__message .ChatLog__timestamp{display:none;}
.ChatLog .Chat_button{text-align:center;margin-left:auto;margin-right:auto;margin-top:0px;width:160px;margin-bottom:0px;background:#000;position:relative;}
.ChatLog .Chat_button .nj-facebook-messenger{background:#0075ff url(http://gaubongcaocap.com/wp-content/themes/generatepress_child/img/facebook-messenger.svg) 10px center no-repeat;background-size:auto 50%;padding:4px 9px;position:relative;color:#fff!important;border-radius:3px;float:right;clear:both;padding-left:30px;font-family:'Roboto Condensed',sans-serif;font-size:12px;margin-top:20px;z-index:9999;width:110px;box-shadow:0 1px 2px rgba(0,0,0,0.4);-moz-box-shadow:0 1px 2px rgba(0,0,0,0.4);-webkit-box-shadow:0 1px 2px rgba(0,0,0,0.4);-webkit-transform:scale(1);-moz-transform:scale(1);transform:scale(1);-webkit-transition:-webkit-transform 50ms linear;-moz-transition:transform 50ms linear;transition:transform 50ms linear;}
.thing{top:0px;z-index:99999;}
.chatHead{background:#0075ff url(http://gaubongcaocap.com/wp-content/themes/generatepress_child/img/facebook-messenger.svg) center center no-repeat;background-size:50% auto;}
/* .drag-wrapper .thing .circle{background:#0075ff;} */
.messenger_icon{background-image:url("http://gaubongcaocap.com/wp-content/themes/generatepress_child/img/facebook-messenger.svg");background-size:85px auto;}
.nj-facebook-messenger{background:#0075ff url(images/facebook-messenger.svg) 15px center no-repeat;background-size:auto 75%;padding:6px 18px;color:#fff!important;border-radius:3px;padding-left:55px;font-family:'Roboto Condensed',sans-serif;position:fixed;display:inline-block;bottom:13px;left:15px;font-size:18px;z-index:9999;box-shadow:0 1px 2px rgba(0,0,0,0.4);-moz-box-shadow:0 1px 2px rgba(0,0,0,0.4);-webkit-box-shadow:0 1px 2px rgba(0,0,0,0.4);-webkit-transform:scale(1);-moz-transform:scale(1);transform:scale(1);-webkit-transition:-webkit-transform 50ms linear;-moz-transition:transform 50ms linear;transition:transform 50ms linear;}
.nj-facebook-messenger:hover{background:#0060d1 url(http://gaubongcaocap.com/wp-content/themes/generatepress_child/img/facebook-messenger.svg) 15px center no-repeat;background-size:auto 75%;}
.nj-facebook-messenger:active{box-shadow:inset 0 1px 2px rgba(0,0,0,0.4);-moz-box-shadow:inset 0 1px 2px rgba(0,0,0,0.4);-webkit-box-shadow:inset 0 1px 2px rgba(0,0,0,0.4);background:#0060d1 url(http://gaubongcaocap.com/wp-content/themes/generatepress_child/img/facebook-messenger.svg) 15px center no-repeat;background-size:auto 75%;}
#messenger_bg{opacity:0.8;display:none;height:150%;position:fixed;width:100%;top:0px;background:#000;z-index:100;}
.wrapper{position:relative;width:100%;overflow:hidden;}
.drag-wrapper .thing,
.drag-wrapper .thing .circle,
.drag-wrapper .magnet{width:50px;height:50px;border-radius:50%;-moz-border-radius:50%;-webkit-border-radius:50%;}
.drag-wrapper .thing .circle,
.drag-wrapper .magnet-zone{z-index:999;-webkit-backface-visibility:hidden;backface-visibility:hidden;-webkit-perspective:1000;-moz-perspective:1000;perspective:1000;-webkit-transform:translate3d(0,0,0);-moz-transform:translate3d(0,0,0);transform:translate3d(0,0,0);}
.drag-wrapper,
.drag-wrapper *,
.drag-wrapper:before,
.drag-wrapper:after{-webkit-tap-highlight-color:transparent;-webkit-tap-highlight-color:transparent;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box; /* For some Androids */}
.drag-wrapper .thing{position:fixed;margin:0px;cursor:pointer;-webkit-transform:translate(0,0);-moz-transform:translate(0,0);transform:translate(0,0);left: 0 !important;}
.drag-wrapper .thing .circle{position:absolute;text-align:center;left:0;right:0;bottom:-17px;background-size:contain;background-position:center;background-repeat:no-repeat;overflow:hidden;transition:transform 50ms linear;}
.drag-wrapper .thing .circle img{max-width:100%;height:auto;width:75%;background: rgba(255, 255, 255, 1);border-radius: 50%;}
.drag-wrapper .thing.edge{-webkit-transition:all 400ms cubic-bezier(0.175,0.885,0.345,1.1);-moz-transition:all 400ms cubic-bezier(0.175,0.885,0.345,1.1);transition:all 400ms cubic-bezier(0.175,0.885,0.345,1.1);}
.drag-wrapper .thing .content{display:none;overflow:hidden;position:absolute;top:100%;right:0px;margin-top:12px;padding:20px;width:350px;height:auto;background:#ffffff;border-radius:5px;-webkit-border-radius:5px;-moz-border-radius:5px;-webkit-box-shadow:0px 0px 10px 2px rgba(0,0,0,0.1);-moz-box-shadow:0px 0px 10px 2px rgba(0,0,0,0.1);box-shadow:0px 0px 10px 2px rgba(0,0,0,0.1);border:none;}
.drag-wrapper .thing .content:before{content:'';position:absolute;top:-10px;right:25px;width:12px;height:10px;border-bottom:10px solid #ffffff;border-left:6px solid transparent;border-right:6px solid transparent;}
.drag-wrapper .thing .content .inside{max-height:100%;position:relative;overflow:hidden;width:100%;}
.drag-wrapper .magnet-zone{pointer-events:none;-webkit-transition:-webkit-transform 400ms cubic-bezier(0.175,0.885,0.145,1.22);-moz-transition:-webkit-transform 400ms cubic-bezier(0.175,0.885,0.145,1.22);transition:transform 400ms cubic-bezier(0.175,0.885,0.145,1.22);}
.drag-wrapper .magnet-zone{position:fixed;bottom:10px;left:50%;z-index:999;padding:10px 20px;text-align:center;-webkit-transform:translate(-50%,100%) translateZ(0);-moz-transform:translate(-50%,100%) translateZ(0);transform:translate(-50%,100%) translateZ(0);}
.drag-wrapper .magnet-zone.overlap .magnet{-webkit-transform:scale(1.08) translateZ(0);-moz-transform:scale(1.08) translateZ(0);transform:scale(1.08) translateZ(0);}
.touching .drag-wrapper .circle{-webkit-transform:scale(0.9) translateZ(0);-moz-transform:scale(0.9) translateZ(0);transform:scale(0.9) translateZ(0);}
.moving .drag-wrapper .container:before{opacity:1;}
.moving .drag-wrapper .magnet-zone{-webkit-transform:translate(-50%,0) translateZ(0);-moz-transform:translate(-50%,0) translateZ(0);transform:translate(-50%,0) translateZ(0);}
.drag-wrapper .magnet-zone:after{pointer-events:none;content:'\00d7';position:absolute;left:0;right:0;top:50%;text-align:center;font-size:2em;font-weight:100;color:#fff;-webkit-transform:translateY(-50%) translateZ(0);-moz-transform:translateY(-50%) translateZ(0);transform:translateY(-50%) translateZ(0);}
.drag-wrapper .magnet{pointer-events:none;position:relative;border:2px solid #fff;background:rgba(0,0,0,0.3);box-shadow:0 1px 2px rgba(0,0,0,0.3);-moz-box-shadow:0 1px 2px rgba(0,0,0,0.3);-webkit-box-shadow:0 1px 2px rgba(0,0,0,0.3);-webkit-transform-origin:center;-moz-transform-origin:center;transform-origin:center;-webkit-transition:-webkit-transform 200ms cubic-bezier(0.175,0.885,0.145,1.25);-moz-transition:-webkit-transform 200ms cubic-bezier(0.175,0.885,0.145,1.25);transition:transform 200ms cubic-bezier(0.175,0.885,0.145,1.25);-webkit-transform:scale(0.7) translateZ(0);-moz-transform:scale(0.7) translateZ(0);transform:scale(0.7) translateZ(0);}
body:not(.touching) .drag-wrapper .thing{-webkit-transition:all 400ms cubic-bezier(0.175,0.885,0.345,1.1);-moz-transition:all 400ms cubic-bezier(0.175,0.885,0.345,1.1);transition:all 400ms cubic-bezier(0.175,0.885,0.345,1.1);}
/*..................*/
.zalo_nhay img {
    width: 37.5px;
    background: #fff;
    border: 2px solid #fff;
    border-radius: 50%;
}
@keyframes hotline{
    0%{transform:scale(0,0);}
    10%{transform:scale(1,1);}
    15%{transform:translateY(5px);}
    20%{transform:translateY(0);}
    25%{transform:translateY(5px);}
    30%{transform:translateY(0);}
    40%{transform:scale(1,1);transform:translateY(0);}
    50%{transform:translateY(5px);}
    65%{transform:translateY(0);}
    70%{transform:translateY(5px);}
    85%{transform:translateY(0);}
    90%{transform:scale(1,1);}
    100%{transform:scale(0,0);}
}
@-webkit-keyframes hotline{
    0%{-webkit-transform:scale(0,0);}
    10%{-webkit-transform:scale(1,1);}
    15%{-webkit-transform:translateY(5px);}
    20%{-webkit-transform:translateY(0);}
    25%{-webkit-transform:translateY(5px);}
    30%{-webkit-transform:translateY(0);}
    40%{-webkit-transform:scale(1,1);-webkit-transform:translateY(0);}
    50%{-webkit-transform:translateY(5px);}
    65%{-webkit-transform:translateY(0);}
    70%{-webkit-transform:translateY(5px);}
    85%{-webkit-transform:translateY(0);}
    90%{-webkit-transform:scale(1,1);}
    100%{-webkit-transform:scale(0,0);}
}
.nhay_dt{animation:hotline  3s infinite;-webkit-animation:hotline 3s infinite;}
.nhay_dt .goidien_c{-webkit-animation:dthoai_top 3s infinite;}
.zalo_nhay {
    position: fixed;
    left: 0;
    top: 0;
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 99999;
}
.facebook-messenger-avatar{
    display: none;
}



